Skip to content
Permalink
Browse files

gedit: update m4/intltool.m4 and autoreconf to fix intltool configura…

…tion, build fix, update patch file, build deps.

git-svn-id: https://svn.macports.org/repository/macports/trunk/dports@118357 d073be05-634f-4543-b044-5fe20cf6d1d6
  • Loading branch information
dbevans committed Mar 31, 2014
1 parent 5da64ca commit 12229fe8c1c3ea6d2cfcc60055107ee7c3184474
Showing with 45 additions and 146 deletions.
  1. +14 −1 gnome/gedit/Portfile
  2. +31 −0 gnome/gedit/files/patch-configure.ac.diff
  3. +0 −145 gnome/gedit/files/patch-configure.diff
@@ -24,6 +24,7 @@ checksums md5 e1eecb0a92a1a363b3d375ec5ac0fb3b \
depends_build port:gtk-doc \
port:intltool \
port:gnome-doc-utils \
port:gnome-common \
port:pkgconfig

depends_lib port:desktop-file-utils \
@@ -38,14 +39,26 @@ depends_run port:gnome-settings-daemon \

use_bzip2 yes

patchfiles patch-configure.diff
patchfiles patch-configure.ac.diff

# update m4/intltool.m4 and autoreconf

pre-configure {
copy -force ${prefix}/share/aclocal/intltool.m4 ${worksrcpath}/m4
}

use_autoreconf yes
autoreconf.args -fvi

configure.args --mandir=${prefix}/share/man \
--disable-scrollkeeper \
--disable-schemas-install \
--disable-gvfs-metadata \
--disable-updater

configure.cflags-append \
-Wno-error=pointer-arith -Wno-error=format-nonliteral

variant python26 conflicts python27 description {Use python 2.6} {
configure.python ${prefix}/bin/python2.6
depends_lib-append port:py26-pygtksourceview
@@ -0,0 +1,31 @@
--- configure.ac.orig 2014-03-30 08:45:14.000000000 -0700
+++ configure.ac 2014-03-30 08:52:58.000000000 -0700
@@ -155,8 +155,9 @@

IT_PROG_INTLTOOL([0.40.0])
AC_SUBST([GETTEXT_PACKAGE], [gedit])
-AM_GNU_GETTEXT_VERSION([0.17])
-AM_GLIB_GNU_GETTEXT
+dnl Don't use both AM_GNU_GETTEXT and IT_PROG_INTLTOOL
+dnl AM_GNU_GETTEXT_VERSION([0.17])
+dnl AM_GLIB_GNU_GETTEXT
AC_DEFINE([GETTEXT_PACKAGE],[PACKAGE_TARNAME], [Define to the gettext package name.])

dnl ================================================================
@@ -271,6 +272,7 @@
libxml-2.0 >= 2.5.0
glib-2.0 >= 2.22.0
gthread-2.0 >= 2.13.0
+ gmodule-2.0
gio-2.0 >= 2.23.1
gtk+-2.0 >= 2.16.0
gtksourceview-2.0 >= 2.9.7
@@ -280,7 +282,7 @@
if test "$os_osx" = "no" &&
test "$os_win32" = "no"; then
PKG_CHECK_MODULES(X11, [
- x11
+ x11 ice
])
else
X11_CFLAGS=

This file was deleted.

0 comments on commit 12229fe

Please sign in to comment.
You can’t perform that action at this time.